#!/bin/sh
#CheckMode - Tells you wheter Accelerated or Overlay mode is in usr

cd ~/config/add-ons/accelerants

if ls | grep "disabled";
  then alert "Your system is set to Accelerated mode." "OK";
fi

if ls | grep "overlay";
  then alert "Your system is set to Overlay mode" "OK";
fi

RETURN=`alert "Set Mode Now?" "Overlay" "Accelerated" "Exit"`

if [[ $RETURN = Overlay ]] 
then
cd ~/config/add-ons/accelerants/
mkdir overlay
mv radeon2.accelerant.disabled radeon2.accelerant
cd ~/config/add-ons/kernel/drivers/bin
mv radeon2.disabled radeon2
  exit 1;
fi

if [[ $RETURN = Accelerated ]]
then
cd ~/config/add-ons/accelerants/
rm -r overlay
mv radeon2.accelerant radeon2.accelerant.disabled 
cd ~/config/add-ons/kernel/drivers/bin
mv radeon2 radeon2.disabled 
  exit 1;
fi

if [[ $RETURN = Exit ]]
then
 exit 1;
fi